{{- if .Values.issuers.letsEncryptDns.enabled }}
---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-dns-production
spec:
  acme:
    # The ACME server URL
    server: https://acme-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: {{ .Values.issuers.letsEncrypt.email }}
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-production
    # Enable the DNS-01 challenge provider
    solvers:
    - selector:
        dnsZones:
          - "licham.io"
      dns01:
        route53:
          region: us-west-2
          hostedZoneID: Z04069142ZBU872OOG8LG
          role: {{ .Values.irsa.role }}
          auth:
            kubernetes:
              serviceAccountRef: 
                name: {{ .Release.Name }}-dns-verification
{{- end }}
